<?php

namespace Teknisa\DF\Modules\Saida\Factories;

use Doctrine\ORM\EntityManager;
    

class Dfs65001CertificadoDigitalFactory {
    
    private $entityManager;

    public function __construct(EntityManager $entityManager) {
        $this->entityManager = $entityManager;
    }
    
    public function getInscrMunicip($cdinscmuni, $cdempresa, $nrorg) {
        $sql = 'SELECT CDINSCMUNI,
                CDEMPRESA,
                NRORG,
                DSDIRCERTIFICADO
        FROM PARAMNFSEINSCMUNI
        WHERE CDINSCMUNI = :P_CDINSCMUNI
        AND CDEMPRESA    = :P_CDEMPRESA
        AND NRORG        = :P_NRORG';
        
        $params = array(
            'P_CDINSCMUNI' => $cdinscmuni,
            'P_CDEMPRESA'  => $cdempresa,
            'P_NRORG'      => $nrorg
        );

        $query = $this->entityManager->getConnection()->prepare($sql);
        $query->execute($params);
        return $query->fetchAll();
    }
    
    public function updateDsDirCert($cdinscmuni, $cdempresa, $nrorg, $dsdircert) {
        $sql = 'UPDATE PARAMNFSEINSCMUNI
        SET DSDIRCERTIFICADO    = :P_DSDIRCERTIFICADO
        WHERE CDINSCMUNI = :P_CDINSCMUNI
        AND CDEMPRESA    = :P_CDEMPRESA
        AND NRORG        = :P_NRORG';
        
        $params = array(
            'P_DSDIRCERTIFICADO'  => $dsdircert,
            'P_CDINSCMUNI' => $cdinscmuni,
            'P_CDEMPRESA'  => $cdempresa,
            'P_NRORG'      => $nrorg
        );
        $query = $this->entityManager->getConnection()->prepare($sql);
        $query->execute($params);
    }
    
}
